// pages/list/list.js
const app = getApp();
var host = app.globalData.host;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    total:0,
    page:1,
    group:{},
    list:[]
  },  

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // options.id=29
    this.setData({
      id: options.id 
    })
    wx.showNavigationBarLoading()
    /**获取token */
    wx.getStorage({
      key: 'userInfo',
      success: res => {
        this.setData({
          userInfo: res.data
        })
        this.getData();
      },
      fail: error => {
        //跳转到登陆页面
        wx.switchTab({
          url: '../user/user',
        })
      }
    })
  },
  next: function () {
    if (this.data.list.length < this.data.total) {
      const page = this.data.page + 1
      this.setData({
        page: page
      })
      this.getData()
    }
  },
  getData() {
    const list = this.data.list;
    wx.request({
      url: host + '/api/wx/group/rank',
      data: { 
        id: this.data.id ,
        page: this.data.page,
        page_size:20
      },
      header: {
        'Authorization': this.data.userInfo.token
      },
      success: res => {
        const players = res.data.data.players;
        for (let i = 0; i < players.length; i++) {
          list.push(players[i])
        }
        this.setData({
          group: res.data.data.group,
          list:list,
          total: res.data.data.total
        })
        wx.setNavigationBarTitle({
          title: res.data.data.group.name,
        })
        wx.hideNavigationBarLoading()
      },
      fail: error => {
        //跳转到登陆页面
        wx.switchTab({
          url: '../user/user',
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})