// pages/rank/rank.js
const app = getApp();
var host = app.globalData.host;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    datas: {},
    userInfo: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
    wx.showNavigationBarLoading()
    /**获取token */
    wx.getStorage({
      key: 'userInfo',
      success: res => {
        if (res.data) {
          this.setData({
            userInfo: res.data
          })
          this.getData();
          this.getuser()
        } else {
          wx.switchTab({
            url: '../user/user',
          })
        }
      },
      fail: error => {
        //跳转到登陆页面
        wx.switchTab({
          url: '../user/user',
        })
      }
    })
  },
  onShow() {

    if (!this.data.userInfo.token) {
      this.onLoad()
    } else {
      wx.showNavigationBarLoading()
      this.getData()
      this.getuser()
    }
  },
  getuser() {
    wx.request({
      url: host + '/api/wx/authinfo',
      header: {
        'Authorization': this.data.userInfo.token
      },
      success: res => {
        if (res.data.data.need_fill) {
          wx.switchTab({
            url: '../user/user',
          })
        }
      }
    })
  },
  getData() {
    wx.request({
      url: host + '/api/wx/group/rank/list',
      
      header: {
        'Authorization': this.data.userInfo.token
      },
      success: res => {
        console.log(res)
        this.setData({
          datas: res.data.data
        })
        wx.setNavigationBarTitle({
          title: res.data.data.match.name,
        })
        wx.hideNavigationBarLoading()
      },
      fail: error => {
        //跳转到登陆页面
        wx.switchTab({
          url: '../user/user',
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})